Page MenuHomePhabricator

Restore/salvage Wikimedia DC's Etherpad installation
Closed, ResolvedPublic

Description

Wikimedia DC had an etherpad at notes.wikimediadc.org. It hasn't really worked in some while, and honestly I am not sure what the point of having our own etherpad is when WMF's is better (we also have hackpad, at wikimediadc.hackpad.com, for those who are so inclined).

In the meantime, there is data stored in there and it would be nice to rescue. Let's bring the Etherpad online and then figure out what to do with it. Or instead we could dump the contents of the database and find new homes for the notes stored there, if that is feasible.

Event Timeline

Harej created this task.Feb 10 2015, 10:03 PM
Harej raised the priority of this task from to Normal.
Harej updated the task description. (Show Details)
Harej added a project: Wikimedia-DC.
Harej added subscribers: Harej, Legoktm, Emufarmers, Isarra.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 10 2015, 10:03 PM
Harej claimed this task.Mar 25 2015, 6:50 AM
Harej set Security to None.
Harej added a subscriber: jeremyb.Mar 25 2015, 7:54 AM

It turns out the Etherpad server has been off the for the past year or so. @jeremyb, could you turn it back on?

Harej reassigned this task from Harej to Legoktm.Jun 23 2015, 5:53 AM
Harej lowered the priority of this task from Normal to Low.
root@eve:~# service etherpad-lite start
Starting Etherpad Lite... 
done
start-stop-daemon: unable to open pidfile '/var/run/etherpad/etherpad-lite.pid' for writing (No such file or directory)
Harej added a comment.Oct 20 2015, 6:06 AM

A pidfile? A process ID file? Is one necessary?

Harej moved this task from Backlog to In Progress on the Wikimedia-DC board.Oct 20 2015, 6:14 AM
root@eve:/var/run# mkdir /var/run/etherpad/
root@eve:/var/run# service etherpad-lite start
Starting Etherpad Lite...
done

It seems to work now.

Legoktm removed Legoktm as the assignee of this task.Oct 24 2015, 12:39 AM
akosiaris closed this task as Resolved.Jun 24 2017, 12:29 AM
akosiaris claimed this task.
akosiaris added a subscriber: akosiaris.

Resolving per last comment